/*Lytebox*/



/* The Modal (background) */
.modal {
    display: none;
    position: fixed;
    z-index: 2;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.85);
}


/* Modal Content */
.modal-content {
    display: flex;
    flex-direction: column;
    position: relative;
    background-color: rgba(0, 0, 0, 0.1);
    margin: auto;
    padding: 0;
    width: 70%;
    max-width: 1200px;
}


/* The Close Button x */
.close {
    color: white;
    position: fixed;
    top: 20px;
    right: 25px;
    /*font-size: 2.5rem;
    font-weight: normal;*/
    z-index: 1;
}


.close:hover,
.close:focus {
    color: #d3d7cb;
    text-decoration: none;
    cursor: pointer;
}

.mySlides {
    display: none;
}


.cursor {
    cursor: pointer;
}


/* Next & previous buttons */
.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    /*width: auto;*/
    width: 0.82rem;
    /*padding: 16px 10px 16px 10px;*/
    margin-top: -19px;
    /*color: white;*/
    /*font-weight: 400;*/
    /*font-family: "Outfit-Variable";*/
    /*font-size: 50px;*/
    user-select: none;
    -webkit-user-select: none;
    margin-left: 6.5%;
    margin-right: 6.5%;
}

/* Position the "next button" to the right */
.next {
    right: 0;
}


/* On hover, add a black background color with a little bit see-through */
/*
.prev:hover,
.next:hover {
    color: white;
}
*/

/* Number text (1/3 etc) */
/*
.numbertext {
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
}
*/

/*
  img {
    margin-bottom: -3px;
  }*/

.caption-container {
    /*text-align: right;*/
    /*padding: 2px 16px;*/

    display: flex;
    align-items: center;
    justify-content: end;
    color: #aaaaaa;

    height: 1.2rem;

    /*
    font-size: 1.02rem;
    line-height: 1.7rem;
    font-weight: 300;
    font-family: "Outfit-Variable";
    letter-spacing: 0.03rem;*/

    font-size: 0.65rem;
    line-height: 1.7rem;
    font-weight: 300;
    font-family: "Outfit-Variable";
    letter-spacing: 0.035rem;
}

.caption-container a{
    color: #aaaaaa;
    text-decoration: none;
}

.demo {
    opacity: 0.6;
}

.active,
.demo:hover {
    opacity: 1;
    overflow: hidden;
}



/*Button in Gallerie zum Schließen (close)*/

.hamburger2 {
    border: 0;
    background-color: transparent;
    cursor: pointer;
}


.hamburger2 .line {
    background-color: white;
    display: block;
    margin: 6px 0;
    height: 2.5px;
    width: 25px;
    transition: all 0.5s ease-in;

}




.hamburger2 .line:nth-child(1) {
    transform: translateY(8.5px) rotate(45deg);
}

.hamburger2 .line:nth-child(2) {
    opacity: 0;
}

.hamburger2 .line:nth-child(3) {
    transform: translateY(-8.5px) rotate(-45deg);
}



/*
.hamburger2.close .line:nth-child(1) {
    transform: unset;

}

.hamburger2.close .line:nth-child(2) {
    opacity: unset;
}

.hamburger2.close .line:nth-child(3) {
    transform: unset;
}
*/






/*Tablet*/
@media screen and (min-width: 800px) and (max-width:1250px) {

    /*
    .modal {

        background-color: rgba(92, 8, 8, 0.85);
    }
    */

}




/*Zwischengröße Handy und Tablet*/
@media screen and (min-width: 750px) and (max-width:800px) {

    /*
    .modal {

        background-color: rgba(92, 8, 8, 0.85);
    }
    */


}





/*Handygröße*/

@media screen and (min-width: 330px) and (max-width:750px) {

    /*
    .modal {
        background-color: rgba(29, 92, 8, 0.85);
    }
    */


    /* The Close Button x */
    .close {
        top: 15px;
        right: 2.4%;
    }

    /* Next & previous buttons */

    .prev,
    .next {
        /*margin-left: 0rem;*/
        /*margin-right: 0rem;*/
        margin-left: 2.5%;
        margin-right: 2.5%;
    }

    .modal-content {
        width: 80%;
    }

    .modal {
        padding-top: 0;
    }


}





/*Projektauswahl für sehr kleine Displays*/

@media screen and (max-width: 330px) {

    /*
    .modal {
        background-color: rgba(92, 71, 8, 0.85);
    }
    */





    /* The Close Button x */
    .close {
        top: 10px;
        right: 10px;
    }

    /* Next & previous buttons */
    .prev,
    .next {
        margin-left: 10px;
        margin-right: 10px;
    }


    .modal-content {
        width: 80%;
    }


    .modal {
        padding-top: 0;
    }



}


/*
Quelle:
https://www.w3schools.com/howto/howto_js_lightbox.asp*/



/* abgewandelt Hamburger nur CSS
Copyright (c) 2025 by Florin Pop (https://codepen.io/FlorinPop17/pen/ZJNaKL)

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/